"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-39/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF93790>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF93820>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF938B0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF93940>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF939D0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF93A60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF93AF0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF93B80>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF93C10>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF93CA0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF93D30>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF93DC0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF93E50>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF93EE0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF93F70>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98040>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF980D0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98160>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF981F0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98280>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98310>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF983A0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98430>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF984C0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF985E0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98550>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98670>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98700>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98790>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98820>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF988B0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98940>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF989D0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98A60>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98AF0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98B80>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98C10>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98CA0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98D30>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98DC0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98E50>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98EE0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF98F70>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C040>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C0D0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C160>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C1F0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C280>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C310>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C3A0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C430>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C4C0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C550>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C5E0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C670>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C700>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C790>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C820>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C8B0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C940>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9C9D0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9CA60>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9CAF0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9CB80>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9CC10>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9CDC0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9CCA0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9CE50>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9CEE0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9CF70>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9E040>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9E0D0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9E1F0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9E160>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9E280>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9E310>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9E3A0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9E4C0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9E430>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9E550>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9E5E0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9E670>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9E700>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9E790>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001FDFFF9E820>)]
name: str = 'fr_HOCCN'
